/*
** Astrolog File: extern.h
**
** IMPORTANT NOTICE: The graphics database and chart display routines
** used in this program are Copyright (C) 1991-1998 by Walter D. Pullen
** (Astara@msn.com, http://www.magitech.com/~cruiser1/astrolog.htm).
** Permission is granted to freely use and distribute these routines
** provided one doesn't sell, restrict, or profit from them in any way.
** Modification is allowed provided these notices remain with any
** altered or edited versions of the program.
**
** The main planetary calculation routines used in this program have
** been Copyrighted and the core of this program is basically a
** conversion to C of the routines created by James Neely as listed in
** Michael Erlewine's 'Manual of Computer Programming for Astrologers',
** available from Matrix Software. The copyright gives us permission to
** use the routines for personal use but not to sell them or profit from
** them in any way.
**
** The PostScript code within the core graphics routines are programmed
** and Copyright (C) 1992-1993 by Brian D. Willoughby
** (brianw@sounds.wa.com). Conditions are identical to those above.
**
** The extended accurate ephemeris databases and formulas are from the
** calculation routines in the library SWISS EPHEMERIS and are 
** programmed and copyright 1998 by Astrodienst AG. The use of that 
** source code is subject to the Swiss Ephemeris Public License, 
** available at http://www.astro.ch/swisseph. 
**
** This copyright notice must not be changed or removed 
** by any user of this program.
**
** Initial programming 8/28,30, 9/10,13,16,20,23, 10/3,6,7, 11/7,10,21/1991.
** X Window graphics initially programmed 10/23-29/1991.
** PostScript graphics initially programmed 11/29-30/1992.
** Modifications from version 5.40 to 5.41 are by Alois Treindl.
** Modifications from version 5.41 to 5.41g are by Valentin Abramov.
** Windows 32-bits version by Antonio Ramos.
**
** This software is provided "as is", without warranty of any kind, either 
** express or implied. In no event shall the authors or copyright holders be 
** liable for any claim, damages or other liability, arising from the use or 
** performance of this software.
**
*/


/*
******************************************************************************
** Function Declarations.
******************************************************************************
*/


// from astrolog.c 

extern void InitColors(void);
extern void Action(void);
extern BOOL FProcessCommandLine(byte *);
extern int NParseCommandLine(byte *szLine, byte **argv);



// from data.c 

extern US us;
extern IS is;
extern CI ciCore, ciMain, ciTwin, ciThre, ciFour, ciTran, ciSave;
extern CP cp0, cp1, cp2, cp3;
extern int fCP3;
extern double spacex[cLastMoving + 1], spacey[cLastMoving + 1], spacez[cLastMoving + 1], force[NUMBER_OBJECTS];
extern GridInfo *grid;
extern int starname[cStar + 1], kObjA[NUMBER_OBJECTS], kObjA1[cLastMoving + 1];

extern byte ignore[NUMBER_OBJECTS], ignore2[NUMBER_OBJECTS], ignore3[NUMBER_OBJECTS];
extern byte ignoreA[cAspect + 1], ignorez[4], pluszone[cSector + 1];
extern double rAspAngle[cAspect + 1], rAspOrb[cAspect + 1];
extern double rObjOrb[cLastMoving + 1], rObjAdd[cLastMoving + 1];
extern int ruler1[cLastMoving + 1], ruler2[cLastMoving + 1], exalt[cLastMoving + 1],
	rules[NUMBER_OF_SIGNS + 1], kMainA[9], kRainbowA[8], kElemA[4], kAspA[cAspect + 1];
extern double rObjInf[cLastMoving + 3], rHouseInf[NUMBER_OF_SIGNS + 3], rAspInf[cAspect + 1], rTransitInf[cLastMoving + 3];

extern const char *szAppName, *szSignAbbrev[NUMBER_OF_SIGNS + 1], *szSignEnglish[NUMBER_OF_SIGNS + 1],
	*szHouseTradition[NUMBER_OF_SIGNS + 1], *szAspectGlyph[cAspect + 1], *szAspectConfig[cAspConfig + 1], 
	*szDay[cWeek], *szZon[cZone], *szDir[4], *szSuffix[NUMBER_OF_SIGNS + 1];

extern char *szMode[3], *szElem[4];

extern char *szMonth[NUMBER_OF_SIGNS + 1];
extern byte *szHouseSystem[NUMBER_OF_HOUSE_SYSTEMS], *szSignName[NUMBER_OF_SIGNS + 1];
extern byte *szMonthEnglish[NUMBER_OF_MONTHS + 1];

extern const double rZon[cZone];
extern byte *szAspectAbbrev[cAspect + 1], *szAspectName[cAspect + 1];
extern byte *szAspectAbbrevCon, *szAspectAbbrevOpp;
extern byte *szObjName[NUMBER_OBJECTS];
extern byte *szObjShortName[NUMBER_OBJECTS];
extern const byte *szCnstlName[cCnstl + 1],
	*szCnstlAbbrev[cCnstl + 1], *szCnstlMeaning[cCnstl + 1], *szCnstlGenitive[cCnstl + 1];
extern byte *szStarConName[cStar + 1];
extern double rStarBright[cStar + 1];
extern const double rStarData[cStar * 6];
extern byte *szMindPart[cLastMoving + 1], *szDesc[NUMBER_OF_SIGNS + 1], *szDesire[NUMBER_OF_SIGNS + 1],
	*szLifeArea[NUMBER_OF_SIGNS + 1], *szInteract[cAspectInt + 1], *szTherefore[cAspectInt + 1], *szModify[3][cAspectInt];

extern const double rObjDist[oVesta + 1], rObjYear[oVesta + 1], rObjDiam[oVesta + 1],
	rObjDay[oPlu + 1], rObjMass[oPlu + 1], rObjAxis[oPlu + 1];
extern const byte cSatellite[oPlu + 1];
extern const AI ai[cPart];

extern const byte rErrorCount[oPlu - oJup + 1];
extern const byte rErrorOffset[oPlu - oJup + 1];
extern const double rErrorData[72 + 51 + 42 * 3];
extern OE rgoe[oVesta - 1 + cUran];
extern byte *szMacro[NUMBER_OF_MACROS];
extern byte *szColor[cColor];
extern char *ayanamsha_name[LAST_SIDEREAL_MODE + 1];
extern char *ayanamsha_short_name[LAST_SIDEREAL_MODE + 1];
extern byte fEquator;
extern language_t language;

extern double PowerPar;
extern int MonthFormat;
extern byte oscLilith;
extern BOOL fSortAspectsByOrbs;
extern int CornerDecorationType;
extern int CornerDecorationSize;
extern int CornerDecorationNumberLines;
extern BOOL fShowSecondChartInfoBar;
extern CI *LastChartShown;


// stars colors
extern int kStar1;
extern int kStar2;
extern int kStar3;

extern int kCornerDecoration;


extern CI *ChartList(chart_ops_t operation, int heap_number, CI *ref_chart);


// from general.c 

extern char *StrCpy(char *dst, const char *src);
extern int NCompareSz(const byte *, const byte *);
extern void CopyRgb(byte *, byte *, int);
extern double RSgn(double);
extern double Angle(double, double);
extern double Mod(double);
extern double ModRad(double);
extern long Dvd(long, long);
extern int Mod12(int);
extern double DegMin2DecDeg(double);
extern double DecDeg2DegMin(double);
extern double MinDistance(double, double);
extern double MinDifference(double, double);
extern double Midpoint(double, double);
extern byte Dignify(int, int);
extern int DayInMonth(int, int);
extern int DaysInMonth(int, int);
extern int DayOfWeek(int, int, int);
extern int AddDay(int, int, int, int);
extern double GetOrb(int, int, int);
extern double GetOrbEx(int obj1, int obj2, int asp);
extern BOOL fSstringsMatch(char *s1, char *s2, int n);
extern char *StrStr(char *cs, char *ct);
extern void Terminate(int);
extern void PrintSz(byte *sz, ...);
extern void PrintCh(byte);
extern void PrintSzScreen(byte *);
extern void PrintWarning(char *error_string, ...);
extern void PrintError(char *error_string, ...);
extern void ErrorArgc(char *error_string, ...);
extern void ErrorValN(byte *, int);
extern void ErrorArgv(byte *);
extern void ErrorSwitch(byte *);
extern void ErrorEphem(byte *, long);
extern void PrintTab(byte, int);
extern void AnsiColor(int k);
extern void PrintZodiac(double);
extern byte *SzZodiac(double);
extern byte *SzAltitude(double deg);
extern byte *SzDegree(double);
extern byte *SzDate(int, int, int, int);
extern byte *SzTime(int, int, int);
extern byte *SzTim(double);
extern byte *SzZone(double);
extern byte *SzLocation(double, double);
extern void GetTimeNow(int *mon, int *day, int *yea, double *tim, double zon);
extern int NFromAltN(int);
extern byte *ProcessProgname(byte *);
extern char *SzPersist(char *string);
extern void *allocate(long length, char *user);
extern BOOL CheckFileTypeAndVersion(FILE *file, char *file_name, char *file_type, char *file_version);


// from io.c 

extern FILE *FileOpen(char *szFile, char *szDir, BOOL warn_if_file_not_found);
extern BOOL FOutputData(void);
extern int NParseSz(byte *, int);
extern double RParseSz(byte *, int);
extern BOOL FInputData(byte *szFile, char *szDir);
extern BOOL FileFind(char *szFile, char *szDir, char *path_found);
extern void SetHereAndNow(CI *ci);
extern void SetToHere(CI *ci);
extern void SetToNow(CI *ci);
extern void SetCI(CI *ci, int mon, int day, int yea, double tim, double dst, double zon, double lon, 
		   double lat, byte *loc);

// from calc.c 

extern int HousePlaceIn(double);
extern void ComputeInHouses(void);
extern void HouseAlcabitius(void);
extern void HouseEqualMidheaven(void);
extern void HouseNeoPorphyry(void);
extern void HouseWhole(void);
extern void HouseNull(void);
extern void ComputeHouses(int housesystem);
extern void ComputeStars(double);
extern double Decan(double);
extern double Navamsa(double);
extern void SphToRec(double, double, double, double *, double *, double *);
extern void ComputeWithSwissEphemeris(double t);
extern double CastChart(BOOL);
extern void CastSectors(void);
extern BOOL FEnsureGrid(void);
extern BOOL FAcceptAspect(int, int, int);
extern void GetAspect(double *, double *, double *, double *, int, int);
extern void GetParallel(double *, double *, double *, double *, double *, double *, double *, double *, int, int);
extern BOOL FCreateGrid(BOOL);
extern BOOL FCreateGridRelation(BOOL);
extern void CreateElemTable(ET *);

extern double ObjPrime[cLastMoving + 1];
extern double StarPrime[cStar + 1];
extern int PrimeRest;
extern double PrimeOrb1;
extern double PrimeOrb2;
extern double StarOrb;
extern double CoeffComp;
extern double CoeffPar;
extern int StarAspects;
extern int hRevers;
extern byte StarRest;
extern byte PolarMCflip;
extern double SolidAspect;


// from matrix.c 

extern double MC, Asc, RA, OB;
extern long MdyToJulian(int, int, int);
extern double MdytszToJulian(int, int, int, double, double, double);
extern void JulianToMdy(double, int *, int *, int *);
extern double ProcessInput(BOOL);
extern void PolToRec(double, double, double *, double *);
extern void RecToPol(double, double, double *, double *);
extern double RecToSph(double, double, double);
extern void CoorXform(double *, double *, double);
extern void ComputeVariables(double *);
extern double CuspMidheaven(void);
extern double CuspAscendant(void);
extern double CuspEastPoint(void);
extern void HousePlacidus(void);
extern void HouseKoch(void);
extern void HouseEqual(void);
extern void HouseCampanus(void);
extern void HouseMeridian(void);
extern void HouseRegiomontanus(void);
extern void HousePorphyry(void);
extern void HouseShripati(void);
extern void HouseMorinus(void);
extern void HouseTopocentric(void);
extern double ReadThree(double, double, double);
extern void RecToSph2(double, double, double, double *, double *, double *);
extern void ErrorCorrect(int, double *, double *, double *);
extern void ProcessPlanet(int, double);
extern void ComputePlanets(void);
extern void ComputeLunar(double *moonlo, double *moonla, double *nodelo, double *nodela);


// from swe_call.c 

extern BOOL CalculatePlanetSE(int ind, double jd, BOOL heliocentric, double SE_coordinates[6]);
extern BOOL CalculateStarSE(int, double, double *, double *);
extern void SetEphemerisPath(void);


// from charts0.c 

extern void PrintW(byte *, int);
extern void PrintS(byte *);
extern void DisplaySwitches(void);
extern void DisplaySwitchesRare(void);
extern void PrintObjects(void);
extern void PrintAspects(void);
extern void PrintSigns(void);

#ifdef CONSTEL
extern byte *GetSzGenitive(byte *, byte *);
extern void GetSzConstel(byte *, int);
extern void PrintConstellations(void);
#endif

extern void PrintChartInfoSingle(char *title, CI *ci);
extern void PrintProgramStatus(void);
extern void PrintOrbit(void);
extern int NCompareSzPart(int, int);
extern void DisplayArabic(void);
extern void DisplayKeysX(void);
extern int FPrintTables(void);
extern double PartOrb;		
extern int PartAspects;		
extern int PartAspectsShow;	


// from charts1.c 

extern void PrintHeader(void);
extern void ChartListing(void);
extern void ChartGrid(void);
extern void PrintGrand(byte, int, int, int, int);
extern void DisplayGrands(void);
extern void PrintHouse(int, int);
extern void PrintWheelCenter(int);
extern void PrintWheelSlot(int);
extern void ChartWheel(void);
extern void PrintAspectSummary(int *, int *, int, double);
extern void ChartAspect(void);
extern void PrintMidpointSummary(int *, int, long);
extern void ChartMidpoint(void);
extern void ChartHorizon(void);
extern void ChartOrbit(void);
extern void ChartSector(void);
extern void ChartAstroGraph(void);
extern void PrintChart(BOOL);


// from charts2.c 

extern void ChartGridRelation(void);
extern void ChartAspectRelation(void);
extern void ChartMidpointRelation(void);
extern void CastRelation(void);
extern void PrintInDay(int, int, int);
extern void PrintAspect(int obj1, int sign1, int ret1, int asp, int obj2, 
				int sign2, int ret2, byte chart, int field_length1, int field_length2);
extern void ChartInDayInfluence(void);
extern void ChartTransitInfluence(BOOL);
extern void EclToHorizon(double *, double *, double, double, double, double, double);
extern void ChartCalendarMonth(void);
extern void ChartCalendarYear(void);
extern void DisplayTimeDifference(void);
extern void DisplayBiorhythm(void);
extern double ppower2[cLastMoving + 1];


// from charts3.c 

extern void ChartInDaySearch(BOOL);
extern void ChartTransitSearch(BOOL);
extern void ChartInDayHorizon(void);
extern void ChartEphemeris(void);


// from intrpret.c 

extern int RulerPlanet(int);	

#ifdef INTERPRET
extern void FieldWord(byte *);
extern void InterpretGeneral(void);
extern void InterpretAspectGeneral(void);
extern void InterpretLocation(void);
extern void InterpretAspect(int, int);
extern void InterpretGrid(void);
extern void InterpretMidpoint(int, int);
extern void InterpretInDay(int, int, int);
extern void InterpretTransit(int, int, int);
extern void InterpretSynastry(void);
extern void InterpretAspectRelation(int, int);
extern void InterpretGridRelation(void);
extern void InterpretMidpointRelation(int, int);
#endif

extern void SortRank(double *, int *, int);
extern void SortRank2(double *, int *, int);
extern void ChartInfluence(void);
extern void PlanetPPower(void);	
extern double ppower1[cLastMoving + 1];	
extern double ppowerTotal[cLastMoving + 1];	


// from xdata.c 

extern GS gs;
extern GI gi;
extern int ikPalette[cColor];
extern const KV rgb[cColor], rgbbmp[cColor];
extern KI kMainB[9], kRainbowB[8], kElemB[4], kAspB[cAspect + 1], kObjB[NUMBER_OBJECTS];
extern const byte szObjectFont[cLastMoving + 2], szAspectFont[cAspect + 1],
	*szDrawSign[NUMBER_OF_SIGNS + 2], *szDrawSign2[NUMBER_OF_SIGNS + 2], *szDrawObject[cLastMoving + 5],
	*szDrawObject2[cLastMoving + 5], *szDrawHouse[NUMBER_OF_SIGNS + 1],
	*szDrawHouse2[NUMBER_OF_SIGNS + 1], *szDrawAspect[cAspect + 3],
	*szDrawAspect2[cAspect + 3], *szDrawCh[255 - 32 + 1], *szWorldData[62 * 3], *szDrawConstel[cCnstl + 1];


// from xgeneral.c 

extern void DrawColor(KI);
extern void DrawPoint(int x, int y);
extern void DrawSpot(int, int);
extern void DrawBlock(int, int, int, int);
extern void DrawBox(int, int, int, int, int, int);
extern void DrawClearScreen(void);
extern void DrawDash(int, int, int, int, int);
extern void DrawWrap(int, int, int, int, int, int);
extern void ClipLesser(int *, int *, int *, int *, int);
extern void ClipGreater(int *, int *, int *, int *, int);
extern void DrawClip(int, int, int, int, int, int, int, int, int);
extern void DrawEllipse(int, int, int, int);
extern void DrawSz(const byte *, int, int, int);
extern void DrawSign(int, int, int);
extern void DrawHouse(int, int, int);
extern void DrawObject(int, int, int);
extern void DrawAspect(int, int, int);
extern int NFromPch(const byte **);
extern void DrawTurtle(const byte *, int, int);


// from xdevice.c 

extern void WriteXBitmap(FILE *, byte *, byte);
extern void WriteAscii(FILE *);
extern void WriteBmp(FILE *);
extern void BeginFileX(void);
extern void EndFileX(void);
extern void PsStrokeForce(void);
extern void PsStroke(int);
extern void PsLineCap(BOOL);
extern void PsDash(int);
extern void PsLineWidth(int);
extern void PsFont(int);
extern void PsBegin(void);
extern void PsEnd(void);
extern void MetaWord(word w);
extern void MetaLong(long);
extern void MetaSelect(void);
extern void MetaInit(void);
extern void WriteMeta(FILE *);


// from xcharts0.c 

extern int DrawPrint(byte *, int, int);
extern void DrawInfo(void);
extern void DrawWheel(double *, double *, int, int, double, double, double, double, double, double, double);
extern void DrawSymbolRing(double *, double *, double *, int, int, double, double, double, double, double, double);
extern BOOL FReadWorldData(byte **, byte **, byte **);
extern BOOL FGlobeCalc(double, double, int *, int *, int, int, int, int, int);
extern void DrawLeyLine(double, double, double, double);
extern void DrawLeyLines(int);
extern void DrawMap(BOOL, BOOL, int);
extern void DrawChartX(void);


// from xcharts1.c 

extern void XChartWheel(void);
extern void XChartAstroGraph(void);
extern void XChartGrid(void);
extern void XChartHorizon(void);
extern void XChartHorizonSky(void);
extern void XChartOrbit(void);
extern void XChartSector(void);
extern void DrawArrow(int, int, int, int);
extern void XChartDispositor(void);
extern void XChartCalendar(void);
extern double CoeffTens;			
extern int TensChart;			
extern int InfoFlag;
extern double STension;
extern double SHarmon;
extern double SConjunct;
extern double SSumma;
extern double SChart;


// from xcharts2.c 

extern BOOL FProper(int);
extern void FillSymbolRing(double *, double);
extern void FillSymbolLine(double *);
extern double PlaceInX(double);
extern double HousePlaceInX(double);
extern void XChartWheelRelation(void);
extern void XChartWheelThreeFour(void);
extern void XChartGridRelation(void);
extern void XChartEphemeris(void);
extern void XChartBiorhythm(void);


// from process_switches.c 

extern BOOL FProcessSwitchesMain(int, byte **);


// from houses.c 

extern int AstrologHouse2SeHouse(int astrolog_house);


// from xscreen.c 

extern void InitColorsX(void);
extern void BeginX(void);
extern void AddTime(CI *ci, int mode, int toadd);
extern void Animate(int mode, int toadd);
extern void SquareX(int *, int *, int);
extern void InteractX(void);
extern BOOL FActionX(void);


// from wdriver.c & wdialog.c 

extern WI wi;
extern OPENFILENAME ofn;
extern PRINTDLG prd;
extern byte szFileName[MAX_FILE_NAME + 1], szFileTitle[MAX_FILE_NAME + 1];
extern global_directories_t dirs;
extern char about_dialog_text[];
extern byte *szFileTemp;
extern char *command_interpreter;

extern LRESULT CALLBACK WndProc(HWND hwnd, UINT wMsg, WPARAM wParam, LPARAM lParam);
extern void ResizeWindowToChart(void);
extern void SetRel(int);
extern void ProcessState(void);
extern int NWmCommand(WORD wCmd);
extern void RedoMenu(void);
extern BOOL  FRedraw(void);

extern void SetEditSz(HWND, int, byte *);
extern void SetEditR(HWND, int, double, int);
extern void SetEditMDYT(HWND, int, int, int, int, int, int, int, double);
extern void SetEditSZOA(HWND hdlg, int idDst, int idZon, int idLon, int idLat, int idLoc, 
				 double dst, double zon, double lon, double lat, byte *loc);
extern void SetEditColor(HWND, int, KI);
extern double GetEditR(HWND, int);
extern void WarnWrongValue(int n, char *string);
extern BOOL FOutputSettings(void);
extern BOOL OpenChartDialog(void);
extern BOOL SaveChartDialog(WORD wCmd);
extern BOOL PrintDialog(void);
extern void ProcessDirectorySettings(HWND hdlg);


extern INT_PTR CALLBACK DlgAbortProc(HDC hdc, int nCode);

extern INT_PTR CALLBACK DlgAbort(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgCommand(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgColor(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgSearchCharts(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgChartData(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgDefault(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgAspect(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgObject(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgObject2(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgObjSelections(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgStar(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgCalculationSettings(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgMiscellaneousSettings(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgTransit(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgProgress(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgChartSettings(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgArabicPartsSettings(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgGraphics(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgAbout(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgDirectories(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgAtlas(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgInterAtlasAdvSettings(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);
extern INT_PTR CALLBACK DlgAmericanAtlasAdvSettings(HWND hdlg, UINT message, WPARAM wParam, LPARAM lParam);

extern BOOL ChooseDirectory(HWND hwnd, LPSTR lpszTitle, BOOL ShowNewFolderButton, LPSTR pszPath);

extern void WelcomeWizard(HINSTANCE hInstance, HWND hwnd);



#ifdef INTERPRETALT
extern void NatalInterpret(void);
extern void TransitInterpret(void);
extern byte InterpretAlt;
extern byte NoPrint;
#endif

extern byte NoPrintHeader;
extern byte fNESW;
extern byte fDisp;

/* extern.h */
